@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700;900&display=swap');

/* div.CashOnBigBlock.ng-scope>div:nth-child(1) {
    display: none !important;
} */


/* .pickupPointDescription[data-pupcode="EXP"] {
    display: none !important;
}

.pickupPointDescription.class[data-pupcode="EXP"] {
    display: block !important;
} */

#pickupPointMap #mapWithSidebar .mapSidebar {
    width: 100% !important;
    background: #fff;
    border: 1px solid #ddd !important;
    padding: 0 !important;
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
    max-height: 590px !important;
    margin: 0 !important;
}

#PickupPointMapContainer.PickupPointMapContainerDesktopStyle {
    height: 590px !important;
}

.Layout_Phone #pickupPointMap #mapWithSidebar {
    position: relative !important;
}

#pickupPointMap #mapWithSidebar.toggled .mapSidebar {
    width: 100% !important;
}

.PupMarkerButtonWrapper {
    display: none !important;
}

#pickupPointMap .RadiusSelection {
    display: none !important;
}

#pickupPointMap .InputAndMessage {
    width: 100% !important;
}

#pickupPointMap .InputWithIcon {
    min-width: 100% !important;
    border-radius: 5px !important;
    border: 1px solid #ddd !important;
}

#pickupPointMap input {
    min-height: 58px !important;
}

#pickupPointMap .IconWrapper {
    top: 7px !important;
    background: #fff;
    border: 1px solid #ddd !important;
    color: #7f28c4;
    padding: 14px 30px !important;
    border-radius: 5px !important;
    right: 7px !important;
    font-weight: 500;
}

.Layout_Desktop #CheckoutDirectDelivery_Delivery .CourierDelivery,
.Layout_Tablet #CheckoutDirectDelivery_Delivery .CourierDelivery,
.Layout_Desktop #CheckoutDirectDelivery_Delivery .ParcelDelivery,
.Layout_Tablet #CheckoutDirectDelivery_Delivery .ParcelDelivery {
    margin-left: 0;
}

#pickupPointMap .IconWrapper:hover {
    background: #7f28c4;
    color: #fff;
}

#pickupPointMap .IconWrapper svg {
    display: none !important;
}

#pickupPointDescriptionContainer .Button.Alt {
    display: none;
}

.mapSidebar ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

#pickupPointMap #pickupPointDescriptionContainer li>div:first-of-type {
    display: none !important;
}

#pickupPointMap #pickupPointDescriptionContainer li {
    border-bottom: 1px solid #ddd;
    display: flex;
    align-items: center;
    position: relative;
    padding: 0 0 0 70px;
}

#pickupPointMap #pickupPointDescriptionContainer li:before {
    content: "";
    position: absolute;
    background-size: contain;
}

#pickupPointMap #pickupPointDescriptionContainer li[data-pupcode="NP"]:before {
    background: url(https://service.avon.ua/mas/page/novaposhta.svg) no-repeat;
    top: 18px;
    left: 18px;
    width: 77px;
    height: 21px;
}

#pickupPointMap #pickupPointDescriptionContainer li[data-pupcode="EXP"]:before {
    background: url(https://service.avon.ua/mas/page/ukposhta.svg) no-repeat;
    top: 20px;
    left: 18px;
    width: 70px;
    height: 19px;
}

#pickupPointMap #pickupPointDescriptionContainer li {
    padding: 15px 15px 15px 100px !important;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing h2 {
    font-style: normal !important;
    font-weight: 500;
    color: #000;
}

#Delivery .DeliveryOptions h2 {
    font-style: normal !important;
    font-weight: 500;
    color: #000;
}

.DeliveryOptionsTitle h2 {
    font-style: normal !important;
    font-weight: 500;
    color: #000;
    font-size: 2rem;
    margin: 0;
    padding: 0;
    margin-bottom: 2rem;
}

.AddressFieldSpaced.Country {
    display: none;
}

.DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress .AddressReadOnly .ShippingPhone {
    margin: 0;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress {
    width: 100%;
    border: 1px solid #ddd;
    padding: 21px 25px;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    align-content: center;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing {
    float: none;
    margin: 0;
    padding: 1rem 0 2.5rem 0;
}

#Delivery .DeliveryOptions {
    margin: 0 auto;
}

.DeliveryGoing .ng-isolate-scope {
    display: none;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress .ChangeLink {
    margin: 0 !important;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress .ChangeLink a {
    background: #fff;
    border: 1px solid #ddd;
    padding: 15px 35px;
    font-weight: 500;
    border-radius: 5px;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress .ChangeLink a:hover {
    background: #7f28c4;
    color: #fff;
    border-color: #7f28c4;
}

.AddressReadOnly async-block {
    display: flex !important;
    margin: 10px 0 0 0px;
    color: #000;
}

.AddressReadOnly async-block div {
    margin: 0 45px 0 0;
    padding: 17px 0 0 0;
    position: relative;
    font-weight: 500;
    font-size: 12px;
}

.DeliveryDetails async-block div:before {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 12px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.5);
}

.DeliveryDetails async-block div:nth-child(1):before {
    content: "Вулиця";
}

.DeliveryDetails async-block div:nth-child(2):before {
    content: "Місто";
}

.DeliveryDetails async-block div:nth-child(3):before {
    content: "Область";
}

.FullName {
    font-weight: 600;
    color: #000;
    font-weight: 600;
    color: #000;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    max-width: 90%;
}

.AddressReadOnly .DeliveryDetails {
    max-width: 50%;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress .AddressReadOnly .ShippingPhone {
    position: relative;
    font-weight: 500;
    font-size: 12px;
    margin: 32px 0 0 0;
    padding: 17px 0 0 0;
    color: #000;
}

#DeliveryAddressEdit>div.FormField.InputLabelLeft.ng-binding {
    display: none;
}

#Delivery .DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress .AddressReadOnly .ShippingPhone:before {
    content: "Телефон";
    position: absolute;
    top: 0;
    left: 0;
    font-size: 12px;
    font-weight: 500;
    color: rgba(0, 0, 0, 0.5);
}

#Delivery .DeliveryDetailsBody .DeliveryGoing .HaveDeliveryAddress .AddressReadOnly {
    width: 100%;
    display: flex;
}

#pickupPointMap #pickupPointDescriptionContainer li div.Button-Right {
    float: none !important;
    margin: 0 !important;
    cursor: pointer;
}

.DeliveryDetails>async-block>div:nth-child(3) {
    display: none !important;
}

#pickupPointMap #pickupPointDescriptionContainer li div.Button-Right {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
}

#pickupPointMap #pickupPointDescriptionContainer li div.Button-Right:before {
    content: "Вибрати";
    background: #fff;
    border: 1px solid #ddd;
    color: #7f28c4;
    font-size: 12px !important;
    font-weight: 500;
    padding: 13px 25px !important;
    margin: 3px 0 0 0;
    float: right;
    border-radius: 5px;
}

#pickupPointMap #pickupPointDescriptionContainer li div.Button-Right span {
    display: none;
}

#pickupPointMap #pickupPointDescriptionContainer li:hover div.Button-Right:before {
    border-color: #7f28c4;
    background: #7f28c4;
    color: #fff;
}

.pickupPointDescription.active {
    background: #f1f1f1 !important;
}

.pickupPointDescription.active div.Button-Right:before {
    content: "✔" !important;
    border-color: #7f28c4 !important;
    background: #7f28c4 !important;
    color: #fff !important;
}

#pickupPointDescriptionContainer>li:hover {
    background: #f1f1f1;
}


/* */

.DeliveryOptions .OptionsContainer {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column-reverse;
}

.DeliveryOptions .OptionsContainer .Option {
    display: block;
    width: 100% !important;
    min-height: auto !important;
    text-align: inherit !important;
    border: 1px solid #ddd !important;
    margin: 0 0 10px 0 !important;
    display: flex !important;
    justify-content: space-between !important;
    align-items: center !important;
    align-content: center !important;
    padding: 15px 25px !important;
}

.DeliveryOptions .OptionsContainer .Option:hover {
    border: 1px solid #7f28c4 !important;
}

#DeliveryOption1Details {
    display: none;
}

.DeliveryOptions .OptionsContainer .Option .ShippingDesc {
    display: none;
}

.DeliveryOptions .OptionsContainer .Bottom {
    display: none;
}

.DeliveryOptions .OptionsContainer .Option .DeliveryOptionButton {
    position: relative !important;
    bottom: auto !important;
    margin: 0 !important;
}

.DeliveryOptions .OptionsContainer .Option svg-icon {
    display: none !important;
}

.DeliveryOptions.ng-scope>div.OptionsContainer>div.Option.Selected>svg-icon.NavDown {
    display: none;
}

.DeliveryOptions .OptionsContainer .Option h3 {
    margin: 0 !important;
    text-align: left !important;
    font-weight: 600;
    color: #000;
}

.DeliveryOptions .OptionsContainer .Option:hover h3 {
    color: #7f28c4;
}

.DeliveryOptions .OptionsContainer .Option.Selected h3 {
    color: #7f28c4;
}

.DeliveryOptions .OptionsContainer .Option.Selected {
    border: 1px solid #7f28c4;
    background-color: #fff;
}

.DeliveryOptions .vi-btn {
    background: #fff !important;
    padding: 15px 30px !important;
    color: #7f28c4 !important;
    margin: 0 !important;
    border: 1px solid #ddd !important;
    font-family: 'Montserrat', sans-serif !important;
    font-weight: 500 !important;
    font-size: 14px !important;
}

.DeliveryOptions .Option.Selected .DeliveryOptionButton .vi-btn {
    background: #7f28c4 !important;
    color: #fff !important;
    border-color: #7f28c4 !important;
}

.DeliveryOptions .OptionsContainer .Option h3 div {
    font-size: 12px;
    font-weight: 500;
    text-transform: none;
    margin: 5px 0 0 0;
    color: #777;
}

.Layout_Phone #CheckoutDirectDelivery_Delivery .DeliveryOptions .OptionsContainer .Option .Right {
    display: none;
}

.Layout_Phone #CheckoutDirectDelivery_Delivery .DeliveryOptions .OptionsContainer .Option .Left {
    display: flex !important;
    width: 100% !important;
    justify-content: space-between;
}

.CashOnBigBlock {
    padding-top: 1rem !important;
    display: flex !important;
    margin: 0 -15px !important;
}

.CashOnOption {
    display: block !important;
    width: 100% !important;
    border: 1px solid #ddd !important;
    margin: 0 15px !important;
}

.CashOnOption.hideOption {
    display: none !important;
}

.CashOnOption .CashOnOptionTitle {
    font-weight: 600 !important;
    color: #000;
}

.CashOnOption .CashOnOptionTitle span {
    font-weight: 600 !important;
}

.CashOnOption .CashOnOptionTitle span b,
strong {
    font-weight: 600 !important;
}

.CashOnOption .Button {
    background: #7f28c4 !important;
    color: #fff !important;
    font-size: 1.4rem !important;
    font-weight: 500 !important;
    padding: 13px 30px !important;
}

.CashOnOption .Button:hover {
    color: #fff !important;
}

#ProceedToPayment.disabled {
    background-color: #7f28c4 !important;
    opacity: .3 !important;
    border-color: #7f28c4 !important;
    font-size: 1.7rem !important;
    padding: 15px 30px !important;
}

#ProceedToPayment.disabled:hover {
    color: #fff !important;
}

.vi-btn {
    font-family: 'Montserrat', sans-serif !important;
    font-weight: 500 !important;
}

.vi-btn--finish {
    background-color: #7f28c4 !important;
    border-color: #7f28c4 !important;
    font-size: 1.7rem !important;
    padding: 15px 30px !important;
}

.vi-btn--finish:hover {
    color: #fff !important;
}

.CashOnOption.Selected>svg-icon {
    display: none !important;
}

.TermsAndConditions ul li {
    margin: 0 0 10px 0;
}

.TermsAndConditions ul li input {
    display: none;
}

.TermsAndConditions ul li label {
    position: relative;
    padding: 1px 0 0 30px;
}

.TermsAndConditions ul li label:before {
    content: "";
    background: #fff;
    position: absolute;
    top: 0;
    left: 0;
    width: 19px;
    height: 19px;
    border: 1px solid #ddd;
    border-radius: 2px;
}

.TermsAndConditions ul li label:after {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    width: 13px;
    height: 9px;
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iaXNvLTg4NTktMSI/Pg0KPCEtLSBHZW5lcmF0b3I6IEFkb2JlIElsbHVzdHJhdG9yIDE5LjAuMCwgU1ZHIEV4cG9ydCBQbHVnLUluIC4gU1ZHIFZlcnNpb246IDYuMDAgQnVpbGQgMCkgIC0tPg0KPHN2ZyB2ZXJzaW9uPSIxLjEiIGlkPSJMYXllcl8xIiBmaWxsPSIjZmZmIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIiB4PSIwcHgiIHk9IjBweCINCgkgdmlld0JveD0iMCAwIDUxMiA1MTIiIHN0eWxlPSJlbmFibGUtYmFja2dyb3VuZDpuZXcgMCAwIDUxMiA1MTI7IiB4bWw6c3BhY2U9InByZXNlcnZlIj4NCjxnPg0KCTxnPg0KCQk8cGF0aCBkPSJNNTA0LjUwMiw3NS40OTZjLTkuOTk3LTkuOTk4LTI2LjIwNS05Ljk5OC0zNi4yMDQsMEwxNjEuNTk0LDM4Mi4yMDNMNDMuNzAyLDI2NC4zMTFjLTkuOTk3LTkuOTk4LTI2LjIwNS05Ljk5Ny0zNi4yMDQsMA0KCQkJYy05Ljk5OCw5Ljk5Ny05Ljk5OCwyNi4yMDUsMCwzNi4yMDNsMTM1Ljk5NCwxMzUuOTkyYzkuOTk0LDkuOTk3LDI2LjIxNCw5Ljk5LDM2LjIwNCwwTDUwNC41MDIsMTExLjcNCgkJCUM1MTQuNSwxMDEuNzAzLDUxNC40OTksODUuNDk0LDUwNC41MDIsNzUuNDk2eiIvPg0KCTwvZz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjwvc3ZnPg0K) no-repeat;
    opacity: 0;
}

.TermsAndConditions ul li input:checked+label:before {
    background: #7f28c4;
    border-color: #7f28c4;
}

.TermsAndConditions ul li input:checked+label:after {
    opacity: 1;
}

.CourierDeliveryActionButtons .Section h2 {
    font-style: normal !important;
    font-weight: 500;
    color: #000;
    padding-top: 3rem
}

.mapSidebarLoading {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff;
    z-index: 20;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
}

.mapSidebarLoading.active {
    opacity: 1;
    visibility: visible;
}

.mapSidebarLoading span {
    background: url(https://service.avon.ua/mas/page/loader.svg) no-repeat;
    width: 150px;
    height: 150px;
    display: block;
}

.Layout_Phone #CheckoutDirectDelivery_Delivery .ParcelDelivery .PDShippingOptions {
    margin-top: 109px !important;
}

.Layout_Phone .HiddenDeliverySpeedSelectors {
    padding: 30px !important;
}

@media screen and (max-width:960px) {
    #pickupPointMap input::-webkit-input-placeholder {
        font-size: 14px !important;
    }
    #pickupPointMap #mapWithSidebar .mapSidebar {
        height: auto !important;
    }
    .AddressReadOnly .DeliveryDetails {
        max-width: 100%;
    }
    #pickupPointMap .InputWithIcon {
        padding: 0 !important;
    }
    .CashOnBigBlock {
        display: block !important;
        margin: 0 15px !important;
        padding: 3rem 0 0 0 !important;
    }
    .CashOnOption {
        margin: 0 0 1rem 0 !important;
    }
    #pickupPointMap #pickupPointDescriptionContainer li div.Button-Right:before {
        display: none !important;
    }
    #pickupPointDescriptionContainer>li.active>div:nth-child(3):before {
        content: "✔";
        position: absolute;
        top: 34px;
        right: 17px;
        width: 35px;
        height: 35px;
        background: #7f28c4;
        text-align: center;
        line-height: 35px;
        color: #fff;
    }
}


/* .DeliveryOptions .OptionsContainer .Option.CentreOption {
    display: none !important;
} */


/**/